import { InjectionToken } from "@angular/core";
import { NgxLibServiceOptions } from "@cleavelandprice/ngx-lib";
export interface UploadServiceOptions extends NgxLibServiceOptions {
    databaseEndpoint?: string;
    uploadPath?: string;
    comment?: string;
    dbAppId?: string;
    externalReferenceId?: string;
    uploadDialogTitle?: string;
    uploadButtonText?: string;
    uploadDialogCancelButtonText?: string;
    uploadDialogFinishButtonText?: string;
    uploadDialogUploadButtonText?: string;
    uploadDialogAddFilesButtonText?: string;
}
export declare const UploadServiceOptionsToken: InjectionToken<UploadServiceOptions>;
